<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     ClickCartPro
 * @subpackage  Components
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die ('Restricted access');

// +--
// | Import.
// +--

jimport('joomla.application.component.model');

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class ClickCartProAdminModelClickCartPro extends JModel {

// +------------------------------------------------------------------+
// | Function: __construct                                            |
// +------------------------------------------------------------------+

function __construct () {

parent::__construct();

$array = JRequest::getVar('cid',0,'','array');

$this->setId($array[0]);

} // End of if statement.

// +------------------------------------------------------------------+
// | Function: setId                                                  |
// +------------------------------------------------------------------+

function setId ($id) {

     $this->_id   = $id;
     $this->_data = null;

} // End of function.

// +------------------------------------------------------------------+
// | Function: getData                                                |
// +------------------------------------------------------------------+

function &getData () {

if (empty($this->_data)) {

     $query = 'SELECT id,value FROM #__clickcartpro WHERE id=\''. $this->_id . '\'';
     $this->_db->setQuery($query);
     $this->_data = $this->_db->loadObject();

} // End of if statement.

if (empty($this->_data)) {

     $this->_data = new stdClass();
     $this->_data->id    = 'DEFAULT';
     $this->_data->value = null;

} // End of if statement.

return $this->_data;

} // End of function.

// +------------------------------------------------------------------+
// | Function: store                                                  |
// +------------------------------------------------------------------+

function store () {

$row =& $this->getTable();

$data = JRequest::get('post');

if (!$row->bind($data)) {

     $this->setError($this->_db->getErrorMsg());
     return false;

} // End of if statement.

if (!$row->check()) {

     $this->setError($this->_db->getErrorMsg());
     return false;

} // End of if statement.

if (!$row->store()) {

     $this->setError($row->getErrorMsg());
     return false;

} // End of if statement.

return true;

} // End of function.

// +------------------------------------------------------------------+
// | Function: delete                                                 |
// +------------------------------------------------------------------+

function delete () {

$cids = JRequest::getVar('cid',array(0),'post','array' );

$row =& $this->getTable();

if (count( $cids )) {

     foreach($cids as $cid) {

          if (!$row->delete($cid)) {

               $this->setError($row->getErrorMsg());
               return false;

          } // End of if statement.

     } // End of foreach statement.

} // End of if statement.

return true;

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>